module.exports=(api,options,rootOptions)=>{
    api.extendPackage({
        dependencies:{
            "rxjs":"^6.3.3",
            'vue-rx':"^6.1.0"
        }
    })
    console.log(api);
    let rxLines = `\nimport VueRx from 'vue-rx';\n\nVue.use(VueRx);`;

    api.onCreateComplete(()=>{
        const fs = require("fs")
        const mainPath = api.resolve("./src/main.js")
        console.log(mainPath);
        let contentMain = fs.readFileSync(mainPath,{encoding:"utf-8"})
        const lines   = contentMain.split(/\r?\n/g).reverse()
        const lastImportIndex = lines.findIndex(line=>line.match(/^import/))
        lines[lastImportIndex]+=rxLines
        constMain = lines.reverse().join("\n")
        fs.writeFileSync(mainPath,contentMain,{encoding:"utf-8"})
    })
    if(options.addExample){
        api.render('./template', {
            ...options,
           });
    }

}